Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 60013 - [PATCH] app-admin/ulogd add support for PostgreSQL
Summary: [PATCH] app-admin/ulogd add support for PostgreSQL
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Daniel Ahlberg (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-10 18:33 UTC by Jani Averbach
Modified: 2007-09-22 23:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jani Averbach 2004-08-10 18:33:10 UTC
--- ulogd-1.02.ebuild~  2004-07-19 07:07:22.000000000 -0600
+++ ulogd-1.02.ebuild   2004-08-10 19:28:05.724234910 -0600
@@ -9,13 +9,14 @@
 SLOT="0"
 LICENSE="GPL-2"
 KEYWORDS="x86 ~ppc -sparc amd64"
-IUSE="mysql"
+IUSE="mysql postgres"

 DEPEND="net-firewall/iptables
-       mysql? ( dev-db/mysql )"
+       mysql? ( dev-db/mysql )
+       postgres? ( dev-db/postgresql )"

 src_compile() {
-       econf `use_with mysql` || die "configure failed"
+       econf `use_with mysql` `use_with postgres pgsql` || die "configure failed"
        make || die "make failed"
 }

@@ -34,5 +35,8 @@
        if use mysql; then
                dodoc mysql.table mysql.table.ipaddr-as-string
        fi
+       if use postgres; then
+               dodoc pgsql.table
+       fi
        dohtml ulogd.html
 }



Reproducible: Always
Steps to Reproduce:

Actual Results:  
 


Patch tested on amd64, with ulogd-1.02 and postgresql-7.4.3.
Comment 1 Daniel Ahlberg (RETIRED) gentoo-dev 2004-08-12 09:07:10 UTC
In CVS, thanks!